﻿using Microsoft.Win32;
using Syncfusion.UI.Xaml.Diagram;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace _125433
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
           
        }
        public void method()
        {

        }
        private void ComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if ((e.AddedItems[0] as ComboBoxItem).Content.ToString() == "vertical")
            {
                (this.DataContext as SfDiagram).PageSettings.PageOrientation = PageOrientation.Portrait;
            }
            else
            {
                (this.DataContext as SfDiagram).PageSettings.PageOrientation = PageOrientation.Landscape;
            }
        }
        BitmapImage bitmap=null;
        private void ComboBox_SelectionChanged1(object sender, SelectionChangedEventArgs e)
        {
            (this.DataContext as SfDiagram).Nodes = new ObservableCollection<Node>();
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Filter = "Image files (*.jpg, *.jpeg, *.jpe, *.jfif, *.png) | *.jpg; *.jpeg; *.jpe; *.jfif; *.png";
            if (openFileDialog.ShowDialog() == true)
            {
                bitmap = new BitmapImage(new Uri(openFileDialog.FileName, UriKind.Absolute));
               
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (bitmap != null)
            {
                double offX = (((this.DataContext as SfDiagram).Info as IGraphInfo).ScrollInfo.HorizontalOffset / ((this.DataContext as SfDiagram).Info as IGraphInfo).ScrollInfo.CurrentZoom) + ((this.DataContext as SfDiagram).Info as IGraphInfo).ScrollInfo.ViewportWidth / 2 - (bitmap.Width * ((this.DataContext as SfDiagram).Info as IGraphInfo).ScrollInfo.CurrentZoom) / 2;
                double offY = (((this.DataContext as SfDiagram).Info as IGraphInfo).ScrollInfo.VerticalOffset / ((this.DataContext as SfDiagram).Info as IGraphInfo).ScrollInfo.CurrentZoom) + ((this.DataContext as SfDiagram).Info as IGraphInfo).ScrollInfo.ViewportHeight / 2 - (bitmap.Height * ((this.DataContext as SfDiagram).Info as IGraphInfo).ScrollInfo.CurrentZoom) / 2;
                Node nodevm = new Node()
                {
                    OffsetX = offX,
                    OffsetY = offY,
                    Content = new Image() { Stretch = Stretch.UniformToFill, Source = bitmap }
                };
                ((this.DataContext as SfDiagram).Nodes as ObservableCollection<Node>).Add(nodevm);
            }
        }
    }
}
